Page MenuHomePhabricator

EditPageTracking does not pass Jenkins tests (sqlite compatibility)
Closed, ResolvedPublic

Description

EditPageTracking define two indexes with the same name which is not possible with sqlite:

A database query error has occurred.
Query: CREATE INDEX user_timestamp ON edit_page_tracking (ept_user, ept_timestamp)
Function: DatabaseBase::sourceFile( /srv/ssd/jenkins-slave/workspace/mwext-EditPageTracking-testextensions-master/extensions/EditPageTracking/edit_page_tracking.sql )
Error: 1 index user_timestamp already exists


Version: unspecified
Severity: normal

Details

Reference
bz66191

Event Timeline

bzimport raised the priority of this task from to Lowest.Nov 22 2014, 3:16 AM
bzimport set Reference to bz66191.
bzimport added a subscriber: Unknown Object (MLST).

Change 137650 had a related patch set uploaded by Hashar:
Ignore mwext-EditPageTracking-testextensions

https://gerrit.wikimedia.org/r/137650

Change 137650 abandoned by Hashar:
Ignore mwext-EditPageTracking-testextensions

https://gerrit.wikimedia.org/r/137650

Change 137650 restored by Hashar:
Ignore mwext-EditPageTracking-testextensions

https://gerrit.wikimedia.org/r/137650

Change 137650 merged by jenkins-bot:
Ignore mwext-EditPageTracking-testextensions

https://gerrit.wikimedia.org/r/137650

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 16 2015, 8:20 AM
hashar closed this task as Resolved.Feb 18 2016, 10:44 PM
hashar claimed this task.

The extension pass tests nowadays.